=== src/formatter/html/CMakeLists.txt ===
install(DIRECTORY 5.2 DESTINATION ${KDE_INSTALL_DATADIR}/akregator/grantleetheme/ )
