## akregator 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.1)
-set(KDEPIM_VERSION_NUMBER "5.7.3")
+set(KDEPIM_VERSION_NUMBER "5.9.3")
 project(akregator VERSION ${KDEPIM_VERSION_NUMBER})
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -25,8 +25,9 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 include(ECMCoverageOption)
+
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -37,16 +38,16 @@
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
 
-set(QT_REQUIRED_VERSION "5.8.0")
+set(QT_REQUIRED_VERSION "5.9.0")
 
-set(KONTACTINTERFACE_LIB_VERSION "5.7.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.7.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.7.3")
-set(MESSAGELIB_LIB_VERSION_LIB "5.7.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
-set(SYNDICATION_LIB_VERSION "5.7.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.9.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.9.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.9.3")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.9.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.9.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.9.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.9.3")
+set(SYNDICATION_LIB_VERSION "5.9.3")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test WebEngine WebEngineWidgets PrintSupport)
 find_package(Grantlee5 "5.1" CONFIG REQUIRED)
