=== debian/changelog ===
akregator (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Fix "Akregator crashes very often, WebEngine thread safety issue"
    Don-t-crash-with-Qt-5.11.patch (Closes: #910852)
  * Add patch to deal with rss feeds from Firefox
    Fix-Bug-402639-akregator-doesn-t-know-how-to-deal-wi.patch
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Tue, 05 Mar 2019 00:23:31 +0100

akregator (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:03:00 +0100
