=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
-
-override_dh_auto_test:
-	# Disable dh_auto_test at build time
-	:
 
 override_dh_auto_install:
 	$(overridden_command)
