## akregator 18.08.3.1

=== icons/CMakeLists.txt ===
ecm_install_icons( ICONS 128-apps-akregator.png  16-apps-akregator_empty.png  16-apps-akregator.png  22-apps-akregator.png  256-apps-akregator.png  32-apps-akregator.png  48-apps-akregator.png  64-apps-akregator.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )
