=== debian/changelog ===
akregator (4:18.08.3.1-2) unstable; urgency=medium

  * update changelog

 -- deepin <lichenggang@uniontech.com>  Tue, 22 Jun 2021 21:05:30 +0800
